// Copyright (c) 2017, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by a MIT-style license
// that can be found in the LICENSE file.

import 'dart:html';
import 'dart:convert';

import 'package:editex/editex.dart';
import 'package:editex/demo.dart';

void main() {
  final interface = new EdiTeXTestInterface();
  final editor = new EdiTeX(querySelector('#editor'), interface);

  final ParagraphElement dataArray = querySelector('#data-array');
  final InputElement dataInput = querySelector('#data');
  final InputElement exprInput = querySelector('#expr');
  final InputElement latexInput = querySelector('#latex');
  final InputElement readonlyInput = querySelector('#readonly');

  editor.onUpdate.listen((_) {
    dataArray.text = JSON.encode(editor.data);
  });

  querySelector('#get-data').onClick.listen((_) {
    dataInput.value = JSON.encode(editor.getData());
  });

  querySelector('#load-data').onClick.listen((_) {
    editor.loadData(JSON.decode(dataInput.value));
  });

  querySelector('#get-expr').onClick.listen((_) {
    exprInput.value = editor.getParsable();
  });

  querySelector('#get-latex').onClick.listen((_) {
    latexInput.value = editor.getLaTeX();
  });

  querySelector('#readonly').onChange.listen((_) {
    editor.readonly = readonlyInput.checked;
  });
}
